Class | PhusionPassenger::Utils::RewindableInput
In: | lib/phusion_passenger/utils/rewindable_input.rb
Parent: | Object

Class which can make any IO object rewindable, including non-rewindable ones. It does this by buffering the data into a tempfile, which is rewindable.

rack.input is required to be rewindable, so if your input stream IO is non-rewindable by nature (e.g. a pipe or a socket) then you can wrap it in an object of this class to easily make it rewindable.

Don‘t forget to call close when you‘re done. This frees up temporary resources that RewindableInput uses, though it does not close the original IO object.

### Methods

close each gets new read rewind size

### Classes and Modules

Class PhusionPassenger::Utils::RewindableInput::Tempfile

### Public Class methods

new(io)

### Public Instance methods

close()

Closes this RewindableInput object without closing the originally wrapped IO oject. Cleans up any temporary resources that this RewindableInput has created.

This method may be called multiple times. It does nothing on subsequent calls.

each(&block)
gets()
read(*args)
rewind()
size()

[Validate]